%define origname TwistedNews

Name: python-module-twisted-news
Version: 10.1.0
Release: alt1
%setup_python_module twisted-news
Summary:        Twisted News is an NNTP server and programming library

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com/trac/wiki/TwistedNews
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/News/10.1/%origname-%version.tar.bz2

BuildRequires:  python-module-twisted-core >= 10.1.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-twisted-mail

%description
Twisted is an event-based framework for internet applications.

Twisted News is an NNTP protocol (Usenet) programming library. The
library contains server and client protocol implementations. A simple
NNTP server is also provided.

%package tests
Summary: Tests for Twisted News
Group: Development/Python
Requires: %name = %version-%release

%description tests
Twisted is an event-based framework for internet applications.

Twisted News is an NNTP protocol (Usenet) programming library. The
library contains server and client protocol implementations. A simple
NNTP server is also provided.

This package contains tests for Twisted News.

%prep
%setup -n %origname-%version

%build
%python_build

%install
# this is a pure python package, but extending the twisted namespace from
# python-twisted-core, which is arch-specific, so it needs to go in sitelibdir
python setup.py install -O1 --root $RPM_BUILD_ROOT --install-purelib %python_sitelibdir

%clean

%files
%doc LICENSE NEWS README 

%python_sitelibdir/twisted/news/
%exclude %python_sitelibdir/twisted/news/test
%python_sitelibdir/Twisted_News-*.egg-info
%python_sitelibdir/twisted/plugins/twisted_news.py*

%files tests
%python_sitelibdir/twisted/news/test

%changelog
* Tue Aug 03 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 10.1.0-alt1
- Version 10.1.0
- Extracted tests into separate package

* Wed Nov 11 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 8.2.0-alt1.1
- Rebuilt with python 2.6

* Mon Oct 19 2009 Sergey Alembekov <rt@altlinux.ru> 8.2.0-alt1
- new version 8.2.0

* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.3.0-alt1
- Build for new upstream version
